Skip to main content
GET
/
api
/
workers
/
{workerId}
/
deployments
/
voice
/
{deploymentId}
/
outbound-campaigns
/
{campaignId}
JavaScript
import BrainbaseLabs from 'brainbase-labs';

const client = new BrainbaseLabs({
  apiKey: process.env['BRAINBASE_LABS_API_KEY'], // This is the default and can be omitted
});

const outboundCampaign = await client.workers.deployments.voice.outboundCampaigns.retrieve(
  'campaignId',
  { workerId: 'workerId', deploymentId: 'deploymentId' },
);

console.log(outboundCampaign.id);
{
  "id": "<string>",
  "status": "<string>",
  "data": {},
  "batchSize": 123,
  "batchIntervalMinutes": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deploymentId": "<string>",
  "workerId": "<string>",
  "teamId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "additionalData": {},
  "telephonyProvider": {},
  "flowId": "<string>",
  "createdById": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.usebrainbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key authentication

Path Parameters

workerId
string
required
deploymentId
string
required
campaignId
string
required

Response

Campaign details

id
string
required
status
string
required
data
object
required
batchSize
integer
required
batchIntervalMinutes
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
deploymentId
string
required
workerId
string
required
teamId
string
required
name
string | null
description
string | null
additionalData
object
telephonyProvider
object
flowId
string | null
createdById
string | null